com.amazonaws.codegen.model.intermediate

## Class DocumentationModel

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.DocumentationModel

Direct Known Subclasses:
  ArgumentModel, ConstructorModel, MemberModel, OperationModel, ShapeModel, VariableModel

    public class DocumentationModel
    extends Object

### Field Summary

Fields
`protected String` `documentation`

### Constructor Summary

Constructors
Constructor and Description
`DocumentationModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDocumentation()`
`void` `setDocumentation(String documentation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### documentation

    protected String documentation

### Constructor Detail

#### DocumentationModel

    public DocumentationModel()

### Method Detail

#### getDocumentation

    public String getDocumentation()

#### setDocumentation

    public void setDocumentation(String documentation)